JSONObject.Null (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.json

## [Java] Class Null

- org.codehaus.groovy.grails.web.json.JSONObject.Null

- JSONObject.NULL is equivalent to the value that JavaScript calls null, whilst Java's null is equivalent to the value that JavaScript calls undefined.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `asBoolean()` Null in JSON should evaluate to false
    `protected java.lang.Object` | `clone()` There is only intended to be a single instance of the NULL object, so the clone method returns itself.
    `boolean` | `equals(java.lang.Object object)` A Null object is equal to the null value and to itself.
    `java.lang.String` | `toString()` Get the "null" string value.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public boolean asBoolean()

      Null in JSON should evaluate to false

      Returns:
        false

    - #### @java.lang.Override protected final java.lang.Object clone()

      There is only intended to be a single instance of the NULL object, so the clone method returns itself.

      Returns:
        NULL.

    - #### @java.lang.Override public boolean equals(java.lang.Object object)

      A Null object is equal to the null value and to itself.

      Parameters:
        `object` - An object to test for nullness.
      Returns:
        true if the object parameter is the JSONObject.NULL object or null.

    - #### @java.lang.Override public java.lang.String toString()

      Get the "null" string value.

      Returns:
        The string "null".